Download it now!
Bug 131208 - Crash on double click to paragraph style
Summary: Crash on double click to paragraph style
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-07 16:26 UTC by Ulrich Gemkow
Modified: 2020-03-11 14:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: e65774a3-2e7b-4f8d-bb91-880eb4c6fe86


Attachments
Document to show crash (10.06 KB, application/vnd.oasis.opendocument.graphics)
2020-03-07 16:26 UTC, Ulrich Gemkow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Gemkow 2020-03-07 16:26:23 UTC
Created attachment 158470 [details]
Document to show crash

LO Draw crashes when double clicking on a paragraph style

To reproduce

- Open the attached document

- Select the text by putting the mouse into it and left-clicking

- Press F11, The style "Title" is selected

- Double click on the style "Titel"

For me, Draw crashes and the recovery dialog is displayed

The same happens with LO 6.3.5

----

Distro Information: Ubuntu 18.04.4

Version: 7.0.0.0.alpha0+
Build ID: ba7d79705f37809e19d7af5933a1a5e6400ce306
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 MM 2020-03-07 21:11:18 UTC
Confirmed on windows 10 x64 with Version: 6.3.5.2 (x64)
Build ID: dd0751754f11728f69b42ee2af66670068624673
CPU threads: 12; OS: Windows 10.0; UI render: default; VCL: win

crashreport.libreoffice.org/stats/crash_details/e65774a3-2e7b-4f8d-bb91-880eb4c6fe86
Comment 2 Oliver Brinzing 2020-03-08 09:40:57 UTC
also reproducible with:

Version: 6.4.2.1 (x64)
Build-ID: c92dba0b4728c0ec26c4b83e2c0fbf3284425375
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: 

but *not* reproducible with:

Version: 6.2.8.2 (x64)
Build-ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 3 Aron Budea 2020-03-08 22:37:15 UTC
Bibisected to the backport of the following commit using repo bibisect-linux-64-6.4. Adding CC: to Jim Raykowski.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1840ed1ede481d28c1a75e2767357866f6f1c55a
author		Jim Raykowski <raykowj@gmail..com>	2019-12-28 21:20:05 -0900
committer	Jim Raykowski <raykowj@gmail.com>	2020-01-16 08:01:46 +0100

tdf#129680 Make text edit outliner view show cursor
Comment 4 Commit Notification 2020-03-09 21:24:58 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b39c08773db9bea776001c6ccf043684c2dfe08d

tdf#131208 Don't try to set cursor focus after style apply

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-03-10 10:21:09 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: a11c10a83f6fceae6cfb519725d06f8eaf1013fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-03-10 14:19:32 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5e503630895c7c213bef503cfed69e71e312ff88

tdf#131208 Don't try to set cursor focus after style apply

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-03-11 14:07:56 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-2":

https://git.libreoffice.org/core/commit/051edbc396f665e84e54ab82de1f683c221925e0

tdf#131208 Don't try to set cursor focus after style apply

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-03-11 14:11:48 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/cdc438e60ffb96ca85e9dd7060ba2b68db3821d4

tdf#131208 Don't try to set cursor focus after style apply

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-03-11 14:16:09 UTC
Let's close it as VERIFIED FIXED.
@Jim, thanks for the quick fix!